Status: New Start date: 14 Sep 2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.55 hour

Description

Should we allow the syntax R/I to mean the same as NewQuotientRing(R,I)?

Discuss, and maybe implement.

Related issues:

Related to CoCoALib - Feature #1330: New syntax for NewQuotientRing Closed 08 Oct 2019

History

#1 - 14 Sep 2020 17:56 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

#2 - 14 Sep 2020 18:11 - John Abbott

- Status changed from Resolved to New

- % Done changed from 80 to 0

The syntax R/I would be convenient and easy to read.

At the moment I do not see how it could be "dangerous" unless it is simply too easy to write, and so people repeatedly create a quotient ring instead

of making it just once.

#3 - 06 Oct 2020 14:41 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

As this is not urgent, I'm postponing it.

I also expect it to be trivial to implement should we decide to do so.

#4 - 08 Mar 2023 19:51 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#5 - 02 Jan 2024 11:19 - Anna Maria Bigatti

- Related to Feature #1330: New syntax for NewQuotientRing added
